package com.platform.modules.plm.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.platform.modules.plm.entity.PlmMaterialEntity;
import com.platform.modules.plm.entity.PlmVideoNewsEntity;

/**
 * 视频发布信息表
 * 
 * @author weiyan
 * @email 
 * @date 2018-08-06 19:48:51
 */
@Mapper
public interface PlmVideoNewsDao extends BaseMapper<PlmVideoNewsEntity> {

	void save(PlmVideoNewsEntity plmVideoNews);
	
	PlmVideoNewsEntity queryByTaskId(Long TaskId);
	
	List<PlmVideoNewsEntity> queryPageMap(Page<Map<String, Object>> page, Map<String, Object> params);
	
	PlmVideoNewsEntity queryById(Long id);
}
